summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-emulation/ps2emu-fwlinuz/ps2emu-fwlinuz-9999.ebuild')
-rw-r--r--games-emulation/ps2emu-fwlinuz/ps2emu-fwlinuz-9999.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/games-emulation/ps2emu-fwlinuz/ps2emu-fwlinuz-9999.ebuild b/games-emulation/ps2emu-fwlinuz/ps2emu-fwlinuz-9999.ebuild
new file mode 100644
index 0000000..6c49169
--- /dev/null
+++ b/games-emulation/ps2emu-fwlinuz/ps2emu-fwlinuz-9999.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+ESVN_REPO_URI="https://pcsx2.svn.sourceforge.net/svnroot/pcsx2/plugins/fw/FWlinuz"
+inherit eutils games subversion
+
+DESCRIPTION="PS2Emu Firewire plugin"
+HOMEPAGE="http://www.pcsx2.net/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="doc"
+
+DEPEND=">=x11-libs/gtk+-2"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/FWLinuz"
+
+src_unpack() {
+ subversion_src_unpack
+ S="${S}/Linux"
+ cd "${S}"
+
+ sed -i \
+ -e '/^CC =/d' \
+ -e '/\bstrip\b/d' \
+ -e 's/-O[0-9]\b//g' \
+ -e 's/-fomit-frame-pointer\b//g' \
+ -e 's/${CFLAGS}/& $(LDFLAGS)/g' \
+ Makefile || die
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)/ps2emu/plugins"
+ doexe libFireWire.so || die
+ exeinto "$(games_get_libdir)/ps2emu/plugins/cfg"
+ doexe cfgFireWire || die
+ use doc && dodoc ReadMe.txt || die
+ prepgamesdirs
+}